# Repzo API - Tag

OpenAPI specification for Repzo Tag endpoints.

**Version:** 1.0.0

## Overview

### Base URLs

- \*\*\*\*: `https://sv.api.repzo.me`

## Authentication

No authentication required.

## Endpoints

### `/tag`

#### GET /tag

**Summary:** Find tags

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `params` | query | object | No | Query parameters for filtering tags |

##### Responses

**200** - A list of tags

Content-Type: `application/json`

---

#### POST /tag

**Summary:** Create a tag

##### Request Body

**Content Types:**

- `application/json`

##### Responses

**201** - Tag created

Content-Type: `application/json`

---

### `/tag/{id}`

#### GET /tag/{id}

**Summary:** Get a tag by ID

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Responses

**200** - Tag details

Content-Type: `application/json`

---

#### PUT /tag/{id}

**Summary:** Update a tag

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Request Body

**Content Types:**

- `application/json`

##### Responses

**200** - Tag updated

Content-Type: `application/json`

---

#### DELETE /tag/{id}

**Summary:** Remove a tag

##### Parameters

| Name | Location | Type | Required | Description |
| ---- | -------- | ---- | -------- | ----------- |

| `id` | path | string | Yes | No description |

##### Responses

**200** - Tag removed

Content-Type: `application/json`

---

## Data Models

### TagFindResult

Result of finding tags

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `data` | array | No | No description |

| `total_result` | number | No | Total number of tags |

| `current_count` | number | No | Count of tags in current page |

| `total_pages` | number | No | Total number of pages |

| `current_page` | number | No | Current page number |

| `per_page` | number | No | Number of tags per page |

| `first_page_url` | string | No | URL for the first page |

| `last_page_url` | string | No | URL for the last page |

| `next_page_url` | string | No | URL for the next page |

| `prev_page_url` | string | No | URL for the previous page |

| `path` | string | No | Base URL path |

### TagSchema

Tag schema

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `_id` | string | No | Unique identifier for the tag |

| `name` | string | No | Name of the tag |

| `disabled` | boolean | No | Whether the tag is disabled |

| `integration_meta` | object | No | Integration metadata |

| `company_namespace` | array | No | Company namespaces |

| `createdAt` | string | No | Creation timestamp |

| `updatedAt` | string | No | Last update timestamp |

| `__v` | number | No | Version number |

### TagCreateBody

Body for creating a tag

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `name` | string | Yes | Name of the tag |

| `disabled` | boolean | No | Whether the tag is disabled |

| `integration_meta` | object | No | Integration metadata |

| `company_namespace` | array | Yes | Company namespaces |

### TagCreateResult

Result of creating a tag

### TagGetResult

Result of getting a tag

### TagUpdateBody

Body for updating a tag

| Property | Type | Required | Description |
| -------- | ---- | -------- | ----------- |

| `name` | string | No | Name of the tag |

| `disabled` | boolean | No | Whether the tag is disabled |

| `integration_meta` | object | No | Integration metadata |

| `company_namespace` | array | No | Company namespaces |

| `_id` | string | No | Unique identifier for the tag |

| `createdAt` | string | No | Creation timestamp |

| `updatedAt` | string | No | Last update timestamp |

| `__v` | number | No | Version number |

### TagUpdateResult

Result of updating a tag

### TagRemoveResult

Result of removing a tag

## TypeScript Usage

See [tag-examples.md](./tag-examples.md) for detailed TypeScript usage examples.
